Qpsmtpd::Constants(3pm)

NAME
Qpsmtpd::Constants - Constants for plugins to use

CONSTANTS
See README.plugins for hook specific information on applicable constants.

Constants available:

"OK"
    Return this only from the queue phase to indicate the mail was queued successfully.

"DENY"
    Returning this from a hook causes a 5xx error (hard failure) to be returned to the connecting client.

"DENYSOFT"
    Returning this from a hook causes a 4xx error (temporary failure - try again later) to be returned to the connecting client.

"DECLINED"
    Returning this from a hook implies success, but tells qpsmtpd to go on to the next plugin.

"DONE"
    Returning this from a hook implies success, but tells qpsmtpd to skip any remaining plugins for this phase.